You are not logged in.

#1 2007-06-06 04:58:10

JaDa
Member
From: Sun City, CA (native German)
Registered: 2007-04-06
Posts: 210
Website

Locale not supported by C library!

(setup.gtk2:6051): Gtk-WARNING **: Locale not supported by C library.
        Using the fallback 'C' locale.
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Something is wrong! I got this error when I try to Install Application (Google Earth 4.1 Linux or Netscape 9 beta 1 Linux) from the sources.

Locale not supported by C library ?

anybody have an Idea what I have to do now? I am still learning.... smile


openSUSE
Arch Linux
USALUG

Offline

#2 2007-06-06 06:42:55

mitsoko
Banned
From: In the Coal Chamber
Registered: 2007-05-08
Posts: 143

Re: Locale not supported by C library!

the first issue can be resolved by http://wiki.archlinux.org/index.php/Locale if you haven't done so yet .. at this  moment I'm not sure if the second is a side effect ..

you might consider http://wiki.archlinux.org/index.php/Rc.conf also

Last edited by raeven (2007-06-06 06:43:17)

Offline

#3 2007-06-25 15:19:24

JaDa
Member
From: Sun City, CA (native German)
Registered: 2007-04-06
Posts: 210
Website

Re: Locale not supported by C library!

Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

This problem is still there!

ATI Radeom X300
driver fglrx

#fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: Radeon X300/X550/X1050 Series
OpenGL version string: 2.0.6473 (8.37.6)
#glxinfo
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
client glx vendor string: ATI
client glx version string: 1.3
client glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
    GLX_ARB_get_proc_address, GLX_SGI_video_sync, GLX_ARB_multisample,
    GLX_ATI_pixel_format_float, GLX_ATI_render_texture
GLX version: 1.2
GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
    GLX_ARB_multisample
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: Radeon X300/X550/X1050 Series
OpenGL version string: 2.0.6473 (8.37.6)
OpenGL extensions:
    GL_ARB_multitexture, GL_EXT_texture_env_add, GL_EXT_compiled_vertex_array,
    GL_S3_s3tc, GL_ARB_depth_texture, GL_ARB_fragment_program,
    GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader,
    GL_ARB_multisample, GL_ARB_occlusion_query, GL_ARB_point_parameters,
    GL_ARB_point_sprite, GL_ARB_shader_objects, GL_ARB_shading_language_100,
    GL_ARB_shadow, GL_ARB_shadow_ambient, GL_ARB_texture_border_clamp,
    GL_ARB_texture_compression, GL_ARB_texture_cube_map,
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine,
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3,
    GL_ARB_texture_float, GL_ARB_texture_mirrored_repeat,
    GL_ARB_texture_rectangle, GL_ARB_transpose_matrix, GL_ARB_vertex_blend,
    GL_ARB_vertex_buffer_object, GL_ARB_pixel_buffer_object,
    GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_window_pos,
    GL_ARB_draw_buffers, GL_ATI_draw_buffers, GL_ATI_element_array,
    GL_ATI_envmap_bumpmap, GL_ATI_fragment_shader, GL_ATI_map_object_buffer,
    GL_ATI_separate_stencil, GL_ATI_texture_env_combine3,
    GL_ATI_texture_float, GL_ATI_texture_mirror_once,
    GL_ATI_vertex_array_object, GL_ATI_vertex_attrib_array_object,
    GL_ATI_vertex_streams, GL_ATIX_texture_env_combine3,
    GL_ATIX_texture_env_route, GL_ATIX_vertex_shader_output_point_size,
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_func_separate,
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_clip_volume_hint,
    GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_framebuffer_object,
    GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, GL_EXT_point_parameters,
    GL_EXT_rescale_normal, GL_EXT_secondary_color,
    GL_EXT_separate_specular_color, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap,
    GL_EXT_texgen_reflection, GL_EXT_texture3D,
    GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map,
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_combine,
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic,
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp,
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array,
    GL_EXT_vertex_shader, GL_HP_occlusion_test, GL_NV_blend_square,
    GL_NV_occlusion_query, GL_NV_texgen_reflection, GL_SGI_color_matrix,
    GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp,
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays

A semilar problem I have also with the Game AA armyops250-linux.run sad

Last edited by JaDa (2007-06-25 15:23:43)


openSUSE
Arch Linux
USALUG

Offline

#4 2007-06-25 15:27:18

Cerebral
Forum Fellow
From: Waterloo, ON, CA
Registered: 2005-04-08
Posts: 3,108
Website

Re: Locale not supported by C library!

if you're running the install program as root, but running your x-server as a user, that's the source of the problem.  You have to allow your root user access to your users's x-server, I think by running

xhost +localhost

as your user.  (may be off, I'm citing from memory)

Offline

#5 2007-06-25 19:20:41

jan-portugal
Member
From: Portugal
Registered: 2007-02-08
Posts: 2

Re: Locale not supported by C library!

JaDa

I had a similar problem, when I installed Arch for the second tim a few days ago.

I solved it by uncommenting my <locale><charset> in /etc/locale.gen.


Linux User #415455

Offline

#6 2007-06-28 18:21:46

JaDa
Member
From: Sun City, CA (native German)
Registered: 2007-04-06
Posts: 210
Website

Re: Locale not supported by C library!

@Cerebral
This is what I still get.

[jada@arch-01 ~]$ su
Password:
[root@arch-01 jada]# cd /home/jada/install
[root@arch-01 install]# sh ./GoogleEarthLinux.bin
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 4.1.7076.4458..........................................................................
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

[root@arch-01 install]#

@jan-portugal
The problem with the locale is solved in the /etc/locale.gen now!

Still hang here with the xserver and the ati fglrx driver.


openSUSE
Arch Linux
USALUG

Offline

Board footer

Powered by FluxBB